#!/bin/sh

mkdir -p bin

# Create default config file if required
cp -n src/config.h.skeleton src/config.h

# Compile
gcc -Wall -g -O0 -DPATHJOIN="\"/\"" -DVERSION="\"1.0-debug\"" \
	-o bin/build-minimal \
	src/perspectiveGL.h \
	src/*.c \
	$(sdl2-config --libs --cflags) -lSDL2_image -lSDL2_mixer -lGL -ldl -lm \
	-I src

# Connected texture helper tool
# cd bin
# go build ../src/connect.go
# cd ..
