/* Voxel information. */

#ifndef __VOXELS_H__
#define __VOXELS_H__

/* Types of voxel. */
enum {
	// None
	VOXEL_AIR,
	// Hack
	VOXEL_TEST,
	// Landscape
	VOXEL_SANDSTONE,
	VOXEL_STONE,
	VOXEL_BORNITE,
	VOXEL_HAEMATITE,
	VOXEL_GOLDNUGGET,
	VOXEL_SAND,
	VOXEL_DIRT,
	VOXEL_GRASS,
	VOXEL_WATER,
	VOXEL_LAVA,
	VOXEL_CUMULUS,
	VOXEL_NIMBUS,
	// Nature
	VOXEL_WOOD,
	VOXEL_LEAF,
	VOXEL_WHEAT0,
	VOXEL_WHEAT1,
	VOXEL_WHEAT2,
	VOXEL_WHEAT3,
	VOXEL_LARGEGRASS,
	VOXEL_STEM,
	VOXEL_ROSE,
	VOXEL_DAISY,
	VOXEL_SUNFLOWER,
	VOXEL_MUSHROOM,
	VOXEL_TOADSTOOL,
	VOXEL_DEADBUSH,
	VOXEL_CACTUS,
	VOXEL_LARGEMUSHROOM,
	VOXEL_RAINBOW,
	// Basic
	VOXEL_LAMP0,
	VOXEL_LAMP1,
	VOXEL_LAMP2,
	VOXEL_LAMP3,
	VOXEL_LAMP4,
	VOXEL_COLOUR0,
	VOXEL_COLOUR1,
	VOXEL_COLOUR2,
	VOXEL_COLOUR3,
	VOXEL_COLOUR4,
	VOXEL_COLOUR5,
	VOXEL_COLOUR6,
	VOXEL_COLOUR7,
	VOXEL_COLOUR8,
	VOXEL_COLOUR9,
	VOXEL_GLASS0,
	VOXEL_GLASS1,
	VOXEL_GLASS2,
	VOXEL_GLASS3,
	// Structure
	VOXEL_GLASS,
	VOXEL_PLANK,
	VOXEL_BLOCKS,
	VOXEL_BRICKS,
	VOXEL_BOOKSHELF,
	VOXEL_LECTURN,
	VOXEL_FIRE,
	// Technology
	VOXEL_IRON,
	VOXEL_SCAFFOLDING,
	VOXEL_BARS,
	VOXEL_HATCH,
	VOXEL_HATCHOPEN,
	VOXEL_LAMP,
	VOXEL_ALARM,
	VOXEL_LAMPOFF,
	VOXEL_SHINY,
	VOXEL_CONDUIT,
	VOXEL_PANEL,
	VOXEL_TARDIS0,
	VOXEL_TARDIS1,
	VOXEL_CABLE0,
	VOXEL_CABLE1,
	VOXEL_CABLE2,
	VOXEL_CABLE3,
	LOADEDVOXELS
};

/* Set properties of voxels. */
void voxels_init();

#endif
